Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 518309 - Potential crash caught by compiler
Summary: Potential crash caught by compiler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: clumanager
Version: 3
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 19:43 UTC by Lon Hohberger
Modified: 2009-09-10 18:50 UTC (History)
3 users (show)

Fixed In Version: clumanager-1.2.39-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 18:50:32 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1436 0 normal SHIPPED_LIVE clumanager bug-fix update 2009-09-10 18:50:10 UTC

Description Lon Hohberger 2009-08-19 19:43:47 UTC
Description of problem:

If we fail to obtain the status for a service, there is a chance that clusvcmgrd could crash because it is printing from an uninitialized variable.

Version-Release number of selected component (if applicable): 1.2.37

http://repo.or.cz/w/clumanager.git?a=commit;h=e7508bade9fe079d9e7cf796b05368f1e4e1897f

Comment 1 Lon Hohberger 2009-08-19 19:47:50 UTC
Other similar cleanups are also contained this commit:

http://repo.or.cz/w/clumanager.git?a=commit;h=d418279f99d3d478f26dc29e62df2d9bbe2cde38

Comment 3 Lon Hohberger 2009-08-25 15:16:25 UTC
A crash of clusvcmgrd will cause services to restart.

Comment 7 errata-xmlrpc 2009-09-10 18:50:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1436.html


Note You need to log in before you can comment on or make changes to this bug.